## libalog 0.6.1

=== Makefile ===
#
#  Copyright (c) 2008-2014,
#  Reto Buerki, Adrian-Ken Rueegsegger
#
#  This file is part of Alog.
#
#  Alog is free software; you can redistribute it and/or modify
#  it under the terms of the GNU Lesser General Public License as published
#  by the Free Software Foundation; either version 2.1 of the License, or
#  (at your option) any later version.
#
#  Alog is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU Lesser General Public License for more details.
#
#  You should have received a copy of the GNU Lesser General Public License
#  along with Alog; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
#  MA  02110-1301  USA
#

# DESTDIR and PREFIX have their usual meanings.
PREFIX ?= $(HOME)/libraries

INSTALL = install

MAJOR = 0
MINOR = 6
REVISION = 1
VERSION = $(MAJOR).$(MINOR).$(REVISION)
ALOG = libalog-$(VERSION)
TARBALL = $(ALOG).tar.bz2

SO_LIBRARY = libalog.so.$(VERSION)
A_LIBRARY = libalog.a
LIBRARY_KIND = dynamic

SOURCEDIR = src
OBJECTDIR = obj
LIBDIR = lib
COVDIR = cov
ALI_FILES = lib/$(LIBRARY_KIND)/*.ali
GPR_FILE = gnat/alog.gpr

PWD = `pwd`

NUM_CPUS ?= 1

# GNAT_BUILDER_FLAGS, ADAFLAGS, CFLAGS and GNATFLAGS may be overridden in the
# environment or on the command line.
CFLAGS             ?= -W -Wall -Werror -O3
GNAT_BUILDER_FLAGS ?= -R -j$(NUM_CPUS)
GNATFLAGS          ?= ${GNAT_BUILDER_FLAGS}
# GMAKE_OPTS should not be overridden because -p is essential.
GMAKE_OPTS = -g -p ${GNATFLAGS} \
  $(foreach v,ADAFLAGS CFLAGS CPPFLAGS LDFLAGS,"-X$(v)=$($(v))")

all: build_lib

tests: build_tests
	@$(OBJECTDIR)/test_runner

build_lib: build_lib_$(LIBRARY_KIND)
build_lib_dynamic:
	@gprbuild $(GMAKE_OPTS) -Palog -XALOG_VERSION="$(VERSION)"
build_lib_static:
	@gprbuild $(GMAKE_OPTS) -Palog -XALOG_VERSION=

build_tests:
	@gprbuild $(GMAKE_OPTS) -Palog_tests -XALOG_BUILD="tests" -XALOG_VERSION=

build_all: build_lib build_tests

clean:
	@rm -f $(TARBALL)
	@rm -rf $(OBJECTDIR)
	@rm -rf $(LIBDIR)
	@rm -rf $(COVDIR)
	$(MAKE) -C doc clean

dist:
	@echo "Creating release tarball $(TARBALL) ... "
	@git archive --format=tar HEAD --prefix $(ALOG)/ | bzip2 > $(TARBALL)

install: install_lib install_$(LIBRARY_KIND)

install_lib: build_lib
	@mkdir -p $(DESTDIR)$(PREFIX)/include/alog
	@mkdir -p $(DESTDIR)$(PREFIX)/lib/alog
	@mkdir -p $(DESTDIR)$(PREFIX)/lib/gnat
	$(INSTALL) -m 644 $(SOURCEDIR)/*.ad[bs] $(DESTDIR)$(PREFIX)/include/alog
	$(INSTALL) -m 444 $(ALI_FILES) $(DESTDIR)$(PREFIX)/lib/alog
	$(INSTALL) -m 644 $(GPR_FILE) $(DESTDIR)$(PREFIX)/lib/gnat

install_static: $(DESTDIR)$(PREFIX)/lib
	$(INSTALL) -m 444 $(LIBDIR)/$(LIBRARY_KIND)/$(A_LIBRARY) $<

install_dynamic: $(DESTDIR)$(PREFIX)/lib
	$(INSTALL) -m 444 $(LIBDIR)/$(LIBRARY_KIND)/$(SO_LIBRARY) $<
	@cd $(DESTDIR)$(PREFIX)/lib && ln -sf $(SO_LIBRARY) libalog.so

install_tests: build_tests
	$(INSTALL) -v -d $(DESTDIR)$(PREFIX)/tests
	$(INSTALL) -m 755 $(OBJECTDIR)/test_runner $(DESTDIR)$(PREFIX)/tests/
	@cp -vr data $(DESTDIR)$(PREFIX)/tests

$(DESTDIR)$(PREFIX)/lib:
	@mkdir -p $@

cov:
	@mkdir -p $(COVDIR)
	@rm -f $(OBJECTDIR)/cov/*.gcda
	@gprbuild $(GMAKE_OPTS) -Palog_tests -XALOG_BUILD="coverage" -XALOG_VERSION=
	@$(OBJECTDIR)/cov/test_runner || true
	@lcov -c -d $(OBJECTDIR)/cov/ -o $(OBJECTDIR)/cov/alog_tmp.info
	@lcov -e $(OBJECTDIR)/cov/alog_tmp.info "$(PWD)/src/*.adb" \
		-o $(OBJECTDIR)/cov/alog.info
	@genhtml --no-branch-coverage $(OBJECTDIR)/cov/alog.info -o $(COVDIR)

prof:
	@rm -f $(OBJECTDIR)/callgrind.*
	gprbuild $(GMAKE_OPTS) -Palog_tests -XALOG_BUILD="profiling" -XALOG_VERSION=
	valgrind -q --tool=callgrind \
		--callgrind-out-file=$(OBJECTDIR)/callgrind.out.%p $(OBJECTDIR)/profiler
	callgrind_annotate $(OBJECTDIR)/callgrind.* > $(OBJECTDIR)/profile.txt

doc:
	$(MAKE) -C doc

.PHONY: cov doc

=== doc/Makefile ===
DESTDIR ?= html

all: $(DESTDIR)/index.html

$(DESTDIR)/alog-arch.svg: arch/alog-arch.svg
	cp $< $@

README: ../README
	tail -n +9 $< > $@

$(DESTDIR)/index.html: $(DESTDIR)/fonts
$(DESTDIR)/index.html: $(DESTDIR)/alog-arch.svg
$(DESTDIR)/index.html: index README css/styles.css | $(DESTDIR)
	asciidoctor $< -o $@

$(DESTDIR)/fonts: fonts | $(DESTDIR)
	cp -R $< $@

$(DESTDIR):
	mkdir -p $@

clean:
	rm -rf $(DESTDIR) README

=== examples/Makefile ===
#
#  Copyright (c) 2009,
#  Reto Buerki, Adrian-Ken Rueegsegger
#
#  This file is part of Alog.
#
#  Alog is free software; you can redistribute it and/or modify
#  it under the terms of the GNU Lesser General Public License as published
#  by the Free Software Foundation; either version 2.1 of the License, or
#  (at your option) any later version.
#
#  Alog is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU Lesser General Public License for more details.
#
#  You should have received a copy of the GNU Lesser General Public License
#  along with Alog; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
#  MA  02110-1301  USA
#

all: build_examples

# C compilations may happen if the library is updated.
build_examples:
	@gprbuild -p -Palog_examples -XALOG_VERSION= \
	  $(foreach v,ADAFLAGS CFLAGS CPPFLAGS LDFLAGS,"-X$(v)=$($(v))")

clean:
	@rm -rf obj

=== debian/changelog ===
libalog (0.6.1-6) unstable; urgency=medium

  * Reupload to unstable for the gnat-11 transition.
  * Require dh-ada-library 7.5, which generates ada:Depends differently

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 09 May 2022 11:40:19 +0200

libalog (0.6.1-5) experimental; urgency=medium

  * Rebuild with gnat-11. Rename -dev package accordingly.
  * Standards-Version 4.6.0.
  * Use new unversioned debian_packaging.mk.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 14 Mar 2022 06:40:39 +0000

libalog (0.6.1-4) unstable; urgency=medium

  * Reupload to unstable for gnat-10 transition.
  * Standards-Version: 4.5.1.
  * Remove extra signatures from public upstream signing  key.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 19 Dec 2020 15:56:52 +0100

libalog (0.6.1-3) experimental; urgency=medium

  * Rebuild with gcc-10. Rename lib and -dev accordingly.
  * Debhelper 13 checks the noopt build option.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 26 Sep 2020 18:33:52 +0000

libalog (0.6.1-2) unstable; urgency=medium

  * Reupload to unstable for gnat-9 transition.
  * Standards-Version: 4.5.0.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 25 Feb 2020 14:12:16 +0100

libalog (0.6.1-1) experimental; urgency=medium

  [ Nicolas Boulenguez ]
  * Drop unapply-patches dpkg option (now almost the default)
  * Debhelper 12 does not compress examples by default anymore
  * Update variable name in autopkgtest
  * Refine -arch and -indep build dependencies
  * Pass debhelper settings to sub-Makes
  * Prevent a debhelper warning about doc-main-package
  * rules: drop obsolete variable
  * Enable all linker checks
  * Update Standards-Version to 4.4.1
  * Update copyright years
  * Build with gcc-9
  * Avoid explicit uupdate in d/watch
  * Use convenient Build-Depends-ArchE. dh-sequence-*
  * Drop fonts, generate arch diagram with free tools

  [ Adrian-Ken Rueegsegger ]
  * Adaptations for asciidoctor doc generation
  * Update upstream signing key
  * Update to release 0.6.1
  * Rename library and -dev packages per Debian Ada Policy

 -- Adrian-Ken Rueegsegger <ken@codelabs.ch>  Sat, 11 Jan 2020 15:15:14 +0100

=== debian/control ===
Source: libalog
Section: libs
Priority: optional
Maintainer: Adrian-Ken Rueegsegger <ken@codelabs.ch>
Uploaders: Reto Buerki <reet@codelabs.ch>,
 Nicolas Boulenguez <nicolas@debian.org>
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Arch:
 dh-ada-library (>= 7.5),
 dh-sequence-ada-library,
 gnat,
 gnat-11,
 gprbuild,
 libahven10-dev,
Build-Depends-Indep:
 asciidoctor,
 ruby-pygments.rb,
 scour,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://www.codelabs.ch/alog/
Vcs-Git: https://git.codelabs.ch/git/alog.git -b debian
Vcs-Browser: https://git.codelabs.ch/?p=alog.git

Package: libalog0.6.2
# This line is parsed by debian/rules.
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Logging framework for Ada
 Alog is a logging framework for Ada and aims to be straight forward to use and
 easily extendable. Alog provides file-based and syslog logging facilities and
 log-level support.

Package: libalog7-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Description: Logging framework for Ada (development)
 Alog is a logging framework for Ada and aims to be straight forward to use and
 easily extendable. Alog provides file-based and syslog logging facilities and
 log-level support.
 .
 This package contains the development files.

Package: libalog-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Logging framework for Ada (documentation)
 Alog is a logging framework for Ada and aims to be straight forward to use and
 easily extendable. Alog provides file-based and syslog logging facilities and
 log-level support.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

# Extract useful information from debian/control.
soversion != \
  sed -n '/^Package: libalog\([0-9.]\+\)$$/{s//\1/p;q}' debian/control

DPKG_EXPORT_BUILDFLAGS  = 1
DEB_BUILD_MAINT_OPTIONS = hardening=+all
DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-undefined \
  -Wl,--no-copy-dt-needed-entries -Wl,--no-allow-shlib-undefined
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/buildopts.mk
include $(wildcard /usr/share/ada/debian_packaging.mk)
# wildcard means: not during -indep builds.

export GNAT_BUILDER_FLAGS = $(GPRBUILDFLAGS)

%:
	dh $@

override_dh_auto_build-arch:
ifeq ($(DEB_HOST_ARCH),kfreebsd-i386)
	patch -p1 < debian/Don-t-store-tracebacks-in-exception-occurrences.patch
endif
	dh_auto_build -- VERSION=$(soversion)
	dh_auto_build -- LIBRARY_KIND=static

override_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	dh_auto_build -- doc
endif

override_dh_auto_install:

override_dh_auto_test-indep:
override_dh_auto_test-arch:
	dh_auto_build -- tests

# Prevent a warning about doc-main-package autodetection.
override_dh_installdocs override_dh_installexamples: override_%:
	$* --package=libalog-doc --doc-main-package=libalog-doc
	$* --remaining-packages

## libalog 0.6.2

=== Makefile ===
#
#  Copyright (c) 2008-2014,
#  Reto Buerki, Adrian-Ken Rueegsegger
#
#  This file is part of Alog.
#
#  Alog is free software; you can redistribute it and/or modify
#  it under the terms of the GNU Lesser General Public License as published
#  by the Free Software Foundation; either version 2.1 of the License, or
#  (at your option) any later version.
#
#  Alog is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU Lesser General Public License for more details.
#
#  You should have received a copy of the GNU Lesser General Public License
#  along with Alog; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
#  MA  02110-1301  USA
#

# DESTDIR and PREFIX have their usual meanings.
PREFIX ?= $(HOME)/libraries

MAJOR = 0
MINOR = 6
REVISION = 2
VERSION = $(MAJOR).$(MINOR).$(REVISION)
# Set VERSION to '' for a static library.
ALOG = libalog-$(VERSION)
TARBALL = $(ALOG).tar.bz2

OBJECTDIR = obj
LIBDIR = lib
COVDIR = cov

NUM_CPUS ?= 1

# GNAT_BUILDER_FLAGS, ADAFLAGS, CFLAGS and GNATFLAGS may be overridden in the
# environment or on the command line.
CFLAGS             ?= -W -Wall -Werror -O3
GNAT_BUILDER_FLAGS ?= -R -j$(NUM_CPUS)
GNATFLAGS          ?= ${GNAT_BUILDER_FLAGS}
# GMAKE_OPTS should not be overridden because -p is essential.
GMAKE_OPTS = -g -p ${GNATFLAGS} \
  $(foreach v,ADAFLAGS CFLAGS CPPFLAGS LDFLAGS,"-X$(v)=$($(v))")

# Parameters passed to gprinstall. Can be overriden in the environment or on
# the command line.
GPRINSTALLFLAGS ?= \
  --prefix=$(DESTDIR)$(PREFIX) \
  --no-manifest \
  --exec-subdir=tests \
  --ali-subdir=lib/alog \
  --lib-subdir=lib \
  --project-subdir=lib/gnat \
  --sources-subdir=include/alog

all: build_lib

tests: build_tests
	@$(OBJECTDIR)/test_runner

build_lib:
	@gprbuild $(GMAKE_OPTS) -Palog -XALOG_VERSION="$(VERSION)"

build_tests:
	@gprbuild $(GMAKE_OPTS) -Palog_tests -XALOG_BUILD="tests" -XALOG_VERSION=

build_all: build_lib build_tests

clean:
	@rm -f $(TARBALL)
	@rm -rf $(OBJECTDIR)
	@rm -rf $(LIBDIR)
	@rm -rf $(COVDIR)

dist:
	@echo "Creating release tarball $(TARBALL) ... "
	@git archive --format=tar HEAD --prefix $(ALOG)/ | bzip2 > $(TARBALL)

install: build_lib
	gprinstall -Palog -XALOG_VERSION=$(VERSION) -f -p $(GPRINSTALLFLAGS)

install_tests: build_tests
	gprinstall -Palog_tests -XALOG_BUILD=tests -ALOG_VERSION=
	@cp -vr data $(DESTDIR)$(PREFIX)/tests

cov:
	@mkdir -p $(COVDIR)
	@rm -f $(OBJECTDIR)/cov/*.gcda
	@gprbuild $(GMAKE_OPTS) -Palog_tests -XALOG_BUILD="coverage" -XALOG_VERSION=
	@$(OBJECTDIR)/cov/test_runner || true
	@lcov -c -d $(OBJECTDIR)/cov/ -o $(OBJECTDIR)/cov/alog_tmp.info
	@lcov -e $(OBJECTDIR)/cov/alog_tmp.info "$(CURDIR)/src/*.adb" \
		-o $(OBJECTDIR)/cov/alog.info
	@genhtml --no-branch-coverage $(OBJECTDIR)/cov/alog.info -o $(COVDIR)

prof:
	@rm -f $(OBJECTDIR)/callgrind.*
	gprbuild $(GMAKE_OPTS) -Palog_tests -XALOG_BUILD="profiling" -XALOG_VERSION=
	valgrind -q --tool=callgrind \
		--callgrind-out-file=$(OBJECTDIR)/callgrind.out.%p $(OBJECTDIR)/profiler
	callgrind_annotate $(OBJECTDIR)/callgrind.* > $(OBJECTDIR)/profile.txt

.PHONY: cov

include doc/doc.mk

=== debian/changelog ===
libalog (0.6.2-7.1build1) questing; urgency=medium

  * No-change rebuild for gnat ABI, triggered by glibc 2.42.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 21 Sep 2025 14:14:48 +0200

libalog (0.6.2-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No-change upload to unstable.

 -- Matthias Klose <doko@debian.org>  Mon, 24 Mar 2025 10:25:36 +0100

libalog (0.6.2-7) experimental; urgency=medium

  * Build tests with -O0 on arm{el,hf} as a work-around for ahven/#1096181.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 19 Feb 2025 15:27:11 +0000

libalog (0.6.2-6) experimental; urgency=medium

  * Build with gnat-14
  * Standards-Version: 4.7.0 (no changes)
  * Update copyright years

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 13 Feb 2025 21:31:22 +0100

libalog (0.6.2-5) unstable; urgency=medium

  * Reupload to unstable for the gnat-13/time_t64 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 17 Mar 2024 19:09:30 +0000

libalog (0.6.2-4) experimental; urgency=medium

  * Upload to experimental because of the following transitions.
  * Build with gnat-13.  Rename library package with new SOversion.
  * Build with dh-ada-library/9. Remove version from -dev package name.
    Provide a name containing a hash.
    Build-Depend: gnat instead of gnat-13. Break/Replace previous -devs.
  * doc-base, rules, tests: simplified by an unversioned -dev.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 29 Dec 2023 23:29:07 +0000

libalog (0.6.2-3) unstable; urgency=medium

  * Break/Replace libalog*-dev since oldstable. Closes: #1035004.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 11 May 2023 11:14:21 +0200

libalog (0.6.2-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-12 transition.
  * Standards-Version: 4.6.2 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 27 Dec 2022 02:07:09 +0100

libalog (0.6.2-1) experimental; urgency=medium

  [ Adrian-Ken Rueegsegger ]
  * Update to release 0.6.2
  * Adjust copyright

  [ Nicolas Boulenguez ]
  * Standards-Version: 6.4.1
  * Build with gnat-12, rename the -dev package
  * Add minimal upstream metadata
  * Update copyright years
  * Revert dh_auto_build to Make
  * Stop removing the fonts from the Debian package
  * Adapt to suggested upstream changes and dh-ada-library 8.2

 -- Adrian-Ken Rueegsegger <ken@codelabs.ch>  Sun, 27 Nov 2022 22:13:20 +0100

=== debian/control ===
--- 
+++ 
@@ -7,24 +7,24 @@
 Build-Depends:
  debhelper-compat (= 13),
 Build-Depends-Arch:
- dh-ada-library (>= 7.5),
+ dh-ada-library (>= 9.1),
  dh-sequence-ada-library,
  gnat,
- gnat-11,
- gprbuild,
- libahven10-dev,
+ gnat-14,
+ gprbuild (>= 2025.0.0-2),
+ libahven-dev,
 Build-Depends-Indep:
  asciidoctor,
  ruby-pygments.rb,
+# Upstream runs scour, no need for dh-sequence-scour and helpers.
  scour,
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://www.codelabs.ch/alog/
 Vcs-Git: https://git.codelabs.ch/git/alog.git -b debian
 Vcs-Browser: https://git.codelabs.ch/?p=alog.git
 
-Package: libalog0.6.2
-# This line is parsed by debian/rules.
+Package: libalog0.6.3
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -33,7 +33,10 @@
  easily extendable. Alog provides file-based and syslog logging facilities and
  log-level support.
 
-Package: libalog7-dev
+Package: libalog-dev
+Breaks: libalog4-dev, libalog5-dev, libalog6-dev, libalog7-dev, libalog8-dev
+Replaces: libalog4-dev, libalog5-dev, libalog6-dev, libalog7-dev, libalog8-dev
+Provides: ${ada:Provides}
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS  = 1
DEB_BUILD_MAINT_OPTIONS = hardening=+all
DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-undefined \
  -Wl,--no-copy-dt-needed-entries -Wl,--no-allow-shlib-undefined
include /usr/share/dpkg/buildflags.mk
include $(wildcard /usr/share/ada/packaging.mk)
# wildcard means: not during -indep builds.

export GNAT_BUILDER_FLAGS = $(GPRBUILDFLAGS)

%:
	dh $@

override_dh_auto_build-arch:
ifeq ($(DEB_HOST_ARCH),kfreebsd-i386)
	patch -p1 < debian/Don-t-store-tracebacks-in-exception-occurrences.patch
endif
	$(MAKE) VERSION=$(alog_SO_VERSION)
	$(MAKE) VERSION=

override_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) build-doc DIAGRAM=alog-arch-dfsg.svg
endif

override_dh_auto_install-indep:
override_dh_auto_install-arch:
	$(MAKE) install VERSION=$(alog_SO_VERSION) \
	  GPRINSTALLFLAGS='$(call shared_GPRINSTALLFLAGS,alog)'
	$(MAKE) install VERSION= \
	  GPRINSTALLFLAGS='$(static_GPRINSTALLFLAGS)'

# work-around #1096181 in ahven.
ifneq (,$(filter $(DEB_HOST_ARCH),armel armhf))
  override_dh_auto_test-arch: export ADAFLAGS += -O0
endif

override_dh_auto_test-indep:
override_dh_auto_test-arch:
	$(MAKE) tests

=== debian/tests/control ===
Tests: link-with-shared
Depends: gprbuild, libalog-dev

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ \
  https://www.codelabs.ch/download/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
